/* config.h.  Generated from config.h.in by configure.  */
/* config.h.in.  Generated from configure.ac by autoheader.  */

#ifdef DEPRECATED_MPI_CPPFLAGS_USED
#warning The MPI_CPPFLAGS configure substitute is deprecated.  Please change your Makefile.am to use DUNEMPICPPFLAGS instead.  Note that it is a good idea to change any occurance of MPI_LDFLAGS into DUNEMPILIBS and DUNEMPILDFLAGS as appropriate, since it is not possible to issue a deprecation warning in that case.
#endif

/* Alberta version found by configure, either 0x200 for 2.0 or 0x300 for 3.0
   */
#define DUNE_ALBERTA_VERSION 0x200

/* Define to the version of dune-common */
#define DUNE_COMMON_VERSION "2.0"

/* Define to the major version of dune-common */
#define DUNE_COMMON_VERSION_MAJOR 2

/* Define to the minor version of dune-common */
#define DUNE_COMMON_VERSION_MINOR 0

/* Define to the revision of dune-common */
#define DUNE_COMMON_VERSION_REVISION 0

/* how to create a deprecated warning */
#define DUNE_DEPRECATED __attribute__((deprecated))

/* Activates developer output */
/* #undef DUNE_DEVEL_MODE */

/* Define to 1 if the old numbering methods should be present. */
#define DUNE_ENABLE_OLD_NUMBERING 1

/* Define to 1 if the experimental expression templates should be used */
/* #undef DUNE_EXPRESSIONTEMPLATES */

/* Define to the version of dune-grid-howto */
#define DUNE_GRID_HOWTO_VERSION "2.0"

/* Define to the major version of dune-grid-howto */
#define DUNE_GRID_HOWTO_VERSION_MAJOR 2

/* Define to the minor version of dune-grid-howto */
#define DUNE_GRID_HOWTO_VERSION_MINOR 0

/* Define to the revision of dune-grid-howto */
#define DUNE_GRID_HOWTO_VERSION_REVISION 0

/* Define to the version of dune-grid */
#define DUNE_GRID_VERSION "2.0"

/* Define to the major version of dune-grid */
#define DUNE_GRID_VERSION_MAJOR 2

/* Define to the minor version of dune-grid */
#define DUNE_GRID_VERSION_MINOR 0

/* Define to the revision of dune-grid */
#define DUNE_GRID_VERSION_REVISION 0

/* Define to the version of dune-istl */
#define DUNE_ISTL_VERSION "2.0"

/* Define to the major version of dune-istl */
#define DUNE_ISTL_VERSION_MAJOR 2

/* Define to the minor version of dune-istl */
#define DUNE_ISTL_VERSION_MINOR 0

/* Define to the revision of dune-istl */
#define DUNE_ISTL_VERSION_REVISION 0

/* Standard debug streams with a level below will collapse to doing nothing */
#define DUNE_MINIMAL_DEBUG_LEVEL 4

/* Define to dummy `main' function (if any) required to link to the Fortran
   libraries. */
/* #undef F77_DUMMY_MAIN */

/* Define if F77 and FC dummy `main' functions are identical. */
/* #undef FC_DUMMY_MAIN_EQ_F77 */

/* This is only true if alberta-library was found by configure _and_ if the
   application uses the ALBERTA_CPPFLAGS */
#define HAVE_ALBERTA ENABLE_ALBERTA

/* Was AlgLib for DUNE found and ALGLIB_CPPFLAGS used? */
/* #undef HAVE_ALGLIB */

/* This is only true if alugrid-library was found by configure _and_ if the
   application uses the ALUGRID_CPPFLAGS */
/* #undef HAVE_ALUGRID */

/* Define to 1 if you have the <alugrid_parallel.h> header file. */
/* #undef HAVE_ALUGRID_PARALLEL_H */

/* Define to 1 if you have the <alugrid_serial.h> header file. */
/* #undef HAVE_ALUGRID_SERIAL_H */

/* Define to 1 if amiramesh-library is found */
/* #undef HAVE_AMIRAMESH */

/* Use the Apple OpenGL framework. */
/* #undef HAVE_APPLE_OPENGL_FRAMEWORK */

/* Define to 1 if you have the <array> header file. */
/* #undef HAVE_ARRAY */

/* Define if you have a BLAS library. */
#define HAVE_BLAS 1

/* Define to 1 if you have the <boost/shared_ptr.hpp> header file. */
#define HAVE_BOOST_SHARED_PTR_HPP 1

/* Define to 1 if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* Define to 1 if dune-common was found */
#define HAVE_DUNE_COMMON 1

/* Define to 1 if dune-grid was found */
#define HAVE_DUNE_GRID 1

/* Define to 1 if dune-istl was found */
#define HAVE_DUNE_ISTL 1

/* Was GMP found and GMP_CPPFLAGS used? */
#define HAVE_GMP ENABLE_GMP

/* This is only true if grape-library was found by configure _and_ if the
   application uses the GRAPE_CPPFLAGS */
/* #undef HAVE_GRAPE */

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define if you have LAPACK library. */
#define HAVE_LAPACK 1

/* Define to 1 if you have the `alberta_1d' library (-lalberta_1d). */
#define HAVE_LIBALBERTA_1D 1

/* Define to 1 if you have the `alberta_2d' library (-lalberta_2d). */
#define HAVE_LIBALBERTA_2D 1

/* Define to 1 if you have the `alberta_3d' library (-lalberta_3d). */
#define HAVE_LIBALBERTA_3D 1

/* Define to 1 if you have the `gmp' library (-L$with_gmp/lib -lgmp). */
#define HAVE_LIBGMP 1

/* Define to 1 if you have the `m' library (-lm). */
#define HAVE_LIBM 1

/* Define to 1 if your system has a GNU libc compatible `malloc' function, and
   to 0 otherwise. */
#define HAVE_MALLOC 1

/* Define to 1 if you have the <malloc.h> header file. */
#define HAVE_MALLOC_H 1

/* Define to 1 if you have the <memory> header file. */
#define HAVE_MEMORY 1

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define to 1 if `expansions' is a member of `mem_usage_t'. */
/* #undef HAVE_MEM_USAGE_T_EXPANSIONS */

/* Define if you have METIS library */
/* #undef HAVE_METIS */

/* Define if you have the MPI library. This is only true if MPI was found by
   configure _and_ if the application uses the DUNEMPICPPFLAGS (or the
   deprecated MPI_CPPFLAGS) */
/* #undef HAVE_MPI */

/* Define to 1 if nullptr is supported */
/* #undef HAVE_NULLPTR */

/* Define if you have a PARDISO library. */
/* #undef HAVE_PARDISO */

/* Define if you have the Parmetis library. This is only true if MPI was found
   by configure _and_ if the application uses the PARMETIS_CPPFLAGS */
/* #undef HAVE_PARMETIS */

/* Define to 1 if psurface-library is found */
/* #undef HAVE_PSURFACE */

/* Define if you have POSIX threads libraries and header files. */
#define HAVE_PTHREAD 1

/* Define to 1 if you have the <rpc/rpc.h> header file. */
#define HAVE_RPC_RPC_H 1

/* Define to 1 if you have the `sqrt' function. */
#define HAVE_SQRT 1

/* Define to 1 if static_assert is supported */
/* #undef HAVE_STATIC_ASSERT */

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the `strchr' function. */
#define HAVE_STRCHR 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if SUPERLU is found */
/* #undef HAVE_SUPERLU */

/* Define to 1 if SUPERLU_DIST is found */
/* #undef HAVE_SUPERLU_DIST */

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <tr1/array> header file. */
#define HAVE_TR1_ARRAY 1

/* Define to 1 if you have the <tr1/memory> header file. */
#define HAVE_TR1_MEMORY 1

/* Define to 1 if you have the <tr1/tuple> header file. */
#define HAVE_TR1_TUPLE 1

/* Define to 1 if you have the <tr1/type_traits> header file. */
#define HAVE_TR1_TYPE_TRAITS 1

/* Define to 1 if you have the <tuple> header file. */
/* #undef HAVE_TUPLE */

/* Define to 1 if you have the <type_traits> header file. */
/* #undef HAVE_TYPE_TRAITS */

/* This is only true if UG was found by configure _and_ if the application
   uses the UG_CPPFLAGS */
/* #undef HAVE_UG */

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define to 1 if you have the <windows.h> header file. */
/* #undef HAVE_WINDOWS_H */

/* Define to the sub-directory in which libtool stores uninstalled libraries.
   */
#define LT_OBJDIR ".libs/"

/* Define to 1 MPI supports MPI-2 */
/* #undef MPI_2 */

/* Name of package */
#define PACKAGE "dune-grid-howto"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT "dune@dune-project.org"

/* Define to the full name of this package. */
#define PACKAGE_NAME "dune-grid-howto"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "dune-grid-howto 2.0"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "dune-grid-howto"

/* Define to the home page for this package. */
#define PACKAGE_URL ""

/* Define to the version of this package. */
#define PACKAGE_VERSION "2.0"

/* Define to necessary symbol if this constant uses a non-standard name on
   your system. */
/* #undef PTHREAD_CREATE_JOINABLE */

/* The namespace in which SHARED_PTR can be found */
#define SHARED_PTR_NAMESPACE std::tr1

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* define to 1 if there is a header slu_ddefs.h in SuperLU */
/* #undef SUPERLU_POST_2005_VERSION */

/* Define to 1 if your <sys/time.h> declares `struct tm'. */
/* #undef TM_IN_SYS_TIME */

/* use UG LGM domain */
/* #undef UG_LGMDOMAIN */

/* Version number of package */
#define VERSION "2.0"

/* Define to 1 if the X Window System is missing or not being used. */
/* #undef X_DISPLAY_MISSING */

/* Define to empty if `const' does not conform to ANSI C. */
/* #undef const */

/* Define to `__inline__' or `__inline' if that's what the C compiler
   calls it, or to nothing if 'inline' is not supported under any name.  */
#ifndef __cplusplus
/* #undef inline */
#endif

/* Define to rpl_malloc if the replacement function should be used. */
/* #undef malloc */

/* Define to `unsigned int' if <sys/types.h> does not define. */
/* #undef size_t */
